Package org.gradle.api.tasks.scala

# Class ScalaDocOptions

java.lang.Object
org.gradle.api.tasks.scala.ScalaDocOptions

All Implemented Interfaces:
  `Serializable`

public abstract class ScalaDocOptions extends Object implements Serializable
Options for the ScalaDoc tool.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScalaDocOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract ListProperty<String>`
  `getAdditionalParameters()`
  Returns the additional parameters passed to the compiler.
  `abstract Property<String>`
  `getBottom()`
  Returns the HTML text to appear in the bottom text for each page.
  `abstract Property<Boolean>`
  `getDeprecation()`
  Tells whether to generate deprecation information.
  `abstract Property<String>`
  `getDocTitle()`
  Returns the HTML text to appear in the main frame title.
  `abstract Property<String>`
  `getFooter()`
  Returns the HTML text to appear in the footer for each page.
  `abstract Property<String>`
  `getHeader()`
  Returns the HTML text to appear in the header for each page.
  `Property<Boolean>`
  `getIsDeprecation()`
  `Property<Boolean>`
  `getIsUnchecked()`
  `abstract Property<String>`
  `getTop()`
  Returns the HTML text to appear in the top text for each page.
  `abstract Property<Boolean>`
  `getUnchecked()`
  Tells whether to generate unchecked information.
  `abstract Property<String>`
  `getWindowTitle()`
  Returns the text to appear in the window title.
  `void`
  `setAdditionalParameters(@Nullable List<String> additionalParameters)`
  Sets the additional parameters passed to the compiler.
  `void`
  `setBottom(@Nullable String bottom)`
  Sets the HTML text to appear in the bottom text for each page.
  `void`
  `setDeprecation(boolean deprecation)`
  Sets whether to generate deprecation information.
  `void`
  `setDocTitle(@Nullable String docTitle)`
  Sets the HTML text to appear in the main frame title.
  `void`
  `setFooter(@Nullable String footer)`
  Sets the HTML text to appear in the footer for each page.
  `void`
  `setHeader(@Nullable String header)`
  Sets the HTML text to appear in the header for each page.
  `void`
  `setTop(@Nullable String top)`
  Sets the HTML text to appear in the top text for each page.
  `void`
  `setUnchecked(boolean unchecked)`
  Sets whether to generate unchecked information.
  `void`
  `setWindowTitle(@Nullable String windowTitle)`
  Sets the text to appear in the window title.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ScalaDocOptions

    @Inject public ScalaDocOptions()

- ## Method Details

  - ### getDeprecation

    @Input public abstract Property<Boolean> getDeprecation()
    Tells whether to generate deprecation information.

  - ### setDeprecation

    public void setDeprecation(boolean deprecation)
    Sets whether to generate deprecation information.

  - ### getIsDeprecation

    @Internal public Property<Boolean> getIsDeprecation()

  - ### getUnchecked

    @Input public abstract Property<Boolean> getUnchecked()
    Tells whether to generate unchecked information.

  - ### setUnchecked

    public void setUnchecked(boolean unchecked)
    Sets whether to generate unchecked information.

  - ### getIsUnchecked

    @Internal public Property<Boolean> getIsUnchecked()

  - ### getWindowTitle

    @Optional @Input public abstract Property<String> getWindowTitle()
    Returns the text to appear in the window title.

  - ### setWindowTitle

    public void setWindowTitle(@Nullable String windowTitle)
    Sets the text to appear in the window title.

  - ### getDocTitle

    @Optional @Input public abstract Property<String> getDocTitle()
    Returns the HTML text to appear in the main frame title.

  - ### setDocTitle

    public void setDocTitle(@Nullable String docTitle)
    Sets the HTML text to appear in the main frame title.

  - ### getHeader

    @Optional @Input public abstract Property<String> getHeader()
    Returns the HTML text to appear in the header for each page.

  - ### setHeader

    public void setHeader(@Nullable String header)
    Sets the HTML text to appear in the header for each page.

  - ### getFooter

    @Optional @Input public abstract Property<String> getFooter()
    Returns the HTML text to appear in the footer for each page.

  - ### setFooter

    public void setFooter(@Nullable String footer)
    Sets the HTML text to appear in the footer for each page.

  - ### getTop

    @Optional @Input public abstract Property<String> getTop()
    Returns the HTML text to appear in the top text for each page.

  - ### setTop

    public void setTop(@Nullable String top)
    Sets the HTML text to appear in the top text for each page.

  - ### getBottom

    @Optional @Input public abstract Property<String> getBottom()
    Returns the HTML text to appear in the bottom text for each page.

  - ### setBottom

    public void setBottom(@Nullable String bottom)
    Sets the HTML text to appear in the bottom text for each page.

  - ### getAdditionalParameters

    @Optional @Input public abstract ListProperty<String> getAdditionalParameters()
    Returns the additional parameters passed to the compiler. Each parameter starts with '-'.

  - ### setAdditionalParameters

    public void setAdditionalParameters(@Nullable List<String> additionalParameters)
    Sets the additional parameters passed to the compiler. Each parameter must start with '-'.